Debian Bug report logs - #683077
ITP: openslide-python -- python wrapper for reading whole slide image files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Sat, 28 Jul 2012 13:27:02 UTC

Owned by: Mathieu Malaterre <malat@debian.org>

Severity: wishlist

Fixed in version openslide-python/0.5.1-1

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#683077; Package wnpp. (Sat, 28 Jul 2012 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 28 Jul 2012 13:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-openslide -- python wrapper for reading whole slide image files
Date: Sat, 28 Jul 2012 15:22:27 +0200
Package: wnpp
Severity: wishlist
Owner: Mathieu Malaterre <malat@debian.org>


* Package name    : python-openslide
  Version         : 0.3.0
  Upstream Author : Carnegie Mellon University
* URL             : https://github.com/openslide/openslide-python
* License         : LGPL
  Programming Lang: Python
  Description     : python wrapper for reading whole slide image files

 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  * Trestle (.tif)
  * Hamamatsu (.vms, .vmu)
  * Aperio (.svs, .tif)
  * MIRAX (.mrxs)
  * Generic tiled TIFF (.tif)
 .
 This package contains the python module needed to run OpenSlide applications.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 21 Oct 2012 19:06:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: openslide-python -- python wrapper for reading' from 'ITP: python-openslide -- python wrapper for reading whole slide image files' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 10:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: openslide-python -- python wrapper for reading whole slide image files' from 'ITP: openslide-python -- python wrapper for reading' Request was from "Mathieu Malaterre" <malat@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 12:54:06 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Thu, 30 Jan 2014 13:03:08 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Thu, 30 Jan 2014 13:03:08 GMT) Full text and rfc822 format available.

Message #16 received at 683077-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 683077-close@bugs.debian.org
Subject: Bug#683077: fixed in openslide-python 0.5.1-1
Date: Thu, 30 Jan 2014 13:00:06 +0000
Source: openslide-python
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
openslide-python, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683077@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated openslide-python package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Jan 2014 21:04:08 +0100
Source: openslide-python
Binary: python-openslide
Architecture: source amd64
Version: 0.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 python-openslide - Python wrapper for reading whole slide image files
Closes: 683077
Changes: 
 openslide-python (0.5.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #683077)
Checksums-Sha1: 
 e0447f98c5cd15bbf38454d46d21ba8ce899f5e3 2058 openslide-python_0.5.1-1.dsc
 fc9773b71a168b5cd97809c91b9408823eb972e6 217632 openslide-python_0.5.1.orig.tar.xz
 d662b68e07c704db053565ea0b984f1c9c5fab9b 3304 openslide-python_0.5.1-1.debian.tar.xz
 432218f8d1c647d48b5f4856e645b61c0764e7e5 146126 python-openslide_0.5.1-1_amd64.deb
Checksums-Sha256: 
 95a4c9d3a5508b1d7a31ef7ca763d35939ffcb844a424f8dd4d175253cd06752 2058 openslide-python_0.5.1-1.dsc
 25c91f151cc2cf263c222f02abf7746dedc4f30214a7e724241967898868a383 217632 openslide-python_0.5.1.orig.tar.xz
 22111cc8ec54ef602a64bb1a3f77aef66cac07f19d506fcc34459eeb311f5ad5 3304 openslide-python_0.5.1-1.debian.tar.xz
 fa34b45d01dffe867157f695d4e4807a983ac1a2221ccb9ebce9f81d6017297b 146126 python-openslide_0.5.1-1_amd64.deb
Files: 
 211c20097896b2e4bac02fb04efad5a0 2058 python optional openslide-python_0.5.1-1.dsc
 b2f8232a67e141472aa8fa085b54e599 217632 python optional openslide-python_0.5.1.orig.tar.xz
 e274ea5a5c34038c2a9dd81950002222 3304 python optional openslide-python_0.5.1-1.debian.tar.xz
 519bb5000fb0c2373a505b60b2abf9fe 146126 python optional python-openslide_0.5.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJS6BMVAAoJEAFx4YKK4JNFD88P/Ra92+0/MdxXw+FNcSO/Yud5
YsQFcUQJMX/WBl2x7Tp4+FB3HmBZ72mIZhkhoUvktBG79dvfuvcL97enV8CerbfZ
SK0LYvECWEu7TK4ZJS0omBh9FWDGZaTarN6Xm5EnvoQP24GjtIIeiJaZcCMGzDnH
t2lyr0BqDDco0tbffY4zfvIgnyZVcne/o4KpgY09rnSWF9kXaJEpNOwL7ZT/Lkyl
whelLNNYRX41WfRIgkxoeRZZ318HSFuQk/nyIOgNIKvTI8SZ9HknFMnp2t4VRHqs
ROo/JvyK0ANy3+iHyuM6tjtw8svsY54+A/tMnDczhk5jg20QWOoS4T7e84kmBMs+
znFMVDI+PdTTejHf4xzv6q46fiifSitrNJv7sFcHggijW9xZFY53F7vJAm4qLS9r
Y8aHgR3DOhvD1kUVt7cCEACVrQ1k4l06BeHdoXrpkRorzXBqt2caPt8lx1NIjl55
GUDBtRWfTKGt1UAx0xS4ZewOdM9w3vZlnQ7KP72by/INVsIs3N1S0ZjA12NBCj/X
va9o5z9ciK4q3Z14kKrSsHgY99C9zSiqQT4R9oVVtTikSdxZ2H3PDqNDNeYw6cyW
rOfWmljil+4d77LeEV14Udt+YJFplb31WhlSKjPT9y0kO1PQI83hP8sSeZodIpo/
Y7SQlNkmmT7R8Pa3ftCf
=h54g
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Feb 2014 07:34:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:34:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.